## nova 21.0.0~b2~git2020021008.1fcd74730d

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
decorator>=3.4.0 # BSD
eventlet!=0.20.1,>=0.20.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=4.20.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
Routes>=2.3.1 # MIT
cryptography>=2.7 # BSD/Apache-2.0
WebOb>=1.8.2 # MIT
# NOTE(mriedem): greenlet 0.4.14 does not work with older versions of gcc on
# ppc64le systems, see https://github.com/python-greenlet/greenlet/issues/136.
greenlet>=0.4.10,!=0.4.14 # MIT
PasteDeploy>=1.5.0 # MIT
Paste>=2.0.2 # MIT
PrettyTable<0.8,>=0.7.1 # BSD
sqlalchemy-migrate>=0.13.0 # Apache-2.0
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
paramiko>=2.0.0 # LGPLv2.1+
Babel!=2.4.0,>=2.3.4 # BSD
iso8601>=0.1.11 # MIT
jsonschema>=2.6.0 # MIT
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
keystoneauth1>=3.16.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
websockify>=0.8.0 # LGPLv3
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=6.1.0 # Apache-2.0
oslo.context>=2.21.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.21.1 # Apache-2.0
oslo.upgradecheck>=0.1.1
oslo.utils>=3.40.2 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.messaging>=10.3.0 # Apache-2.0
oslo.policy>=2.3.0 # Apache-2.0
oslo.privsep>=1.33.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.service>=1.40.1 # Apache-2.0
rfc3986>=1.1.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
psutil>=3.2.2 # BSD
oslo.versionedobjects>=1.35.0 # Apache-2.0
os-brick>=2.6.2 # Apache-2.0
os-resource-classes>=0.4.0 # Apache-2.0
os-traits>=2.1.0 # Apache-2.0
os-vif>=1.14.0 # Apache-2.0
os-win>=3.0.0 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0
os-xenapi>=0.3.3 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
cursive>=0.2.1 # Apache-2.0
pypowervm>=1.1.15 # Apache-2.0
retrying>=1.3.3,!=1.3.0 # Apache-2.0
os-service-types>=1.7.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
python-dateutil>=2.5.3 # BSD
zVMCloudConnector>=1.3.0;sys_platform!='win32'  # Apache 2.0 License
futurist>=1.8.0 # Apache-2.0
openstacksdk>=0.35.0 # Apache-2.0

=== debian/changelog ===
nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu5) focal; urgency=medium

  * No change rebuild with new version of openstack-pkg-tools to resolve
    issue with generation of systemd unit configurations (LP: #1866568).

 -- James Page <james.page@ubuntu.com>  Mon, 09 Mar 2020 10:09:54 +0000

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu4) focal; urgency=medium

  * d/p/libvirt-provide-backing-file-format-creating-qcow2.patch: Without this
    patch, domains (instances) can't be launched with libvirt 6.0.0. Picked
    from https://review.opendev.org/#/c/708745/ (LP: #1864020).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Feb 2020 09:05:50 -0500

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu3) focal; urgency=medium

  * d/nova-compute.service.in: Added service.in override file in order to
    pick up systemd default UMask of 0022, ensuring libvirt can access
    run-time files created in /var/lib/nova/instances/ (LP: #1864922).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Feb 2020 11:36:14 -0500

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu2) focal; urgency=medium

  * d/p/monkey-patch-original-current-thread-active.patch: Cherry-picked from
    https://review.opendev.org/#/c/707474/. This fixes nova service failures
    that autopkgtests are hitting with Python 3.8 (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Feb 2020 09:35:53 -0500

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu1) focal; urgency=medium

  [ Corey Bryant ]
  * d/rules: Drop removal of debian/python-nova/usr/etc.

  [ Sahid Orentino Ferdjaoui ]
  * d/control: Remove vlan dependency since not needed anymore by
    nova-compute-libvirt (LP: #1856279).
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py38-failure.patch: Refreshed.
  * d/p/arm-console-patch.patch: Refreshed.
  * d/control: Removed min version for python3-hacking.

  [ Corey Bryant ]
  * d/skip-py38-failure.patch: Dropped. Fixed in upstream snapshot.
  * d/control, d/nova-xvpvncproxy.*: Drop nova-xvpvncproxy inline with
    upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 16:36:54 -0500

nova (2:21.0.0~b1~git2019120415.45fb747c98-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/arm-console-patch.patch: Rebased.
  * d/p/skip-py38-failure.patch: Skip py38 failure until fixed upstream.
  * d/p/skip-test-needing-mock-3.patch: Dropped. No longer needed.
  * d/control, d/nova-console.*, d/nova-network.*, d/source_nova.py, d/tests/*:
    Remove nova-{console,dhcpbridge,network} inline with upstream removal.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Dec 2019 15:35:30 -0500

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders:
 Soren Hansen <soren@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 apache2-dev,
 debhelper-compat (= 12),
 dh-apache2,
 dh-systemd,
 dh-python,
 lsb-release,
 openstack-pkg-tools (>= 37ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools (>= 16.0),
 python3-sphinx (>= 1.8.0),
 python3-sphinx-feature-classification (>= 0.2.0),
Build-Depends-Indep:
 bandit,
 crudini,
 genisoimage,
 openssh-client,
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-contextlib2 (>= 0.5.5),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-cursive (>= 0.2.1),
 python3-dateutil (>= 2.5.3),
 python3-ddt (>= 1.0.1),
 python3-decorator (>= 3.4.0),
 python3-eventlet (>= 0.20.0),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.8.0),
 python3-gabbi (>= 1.35.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking,
 python3-ironicclient (>= 2.7.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.16.0),
 python3-keystonemiddleware (>= 4.20.0),
 python3-lxml (>= 3.4.1),
 python3-microversion-parse (>= 0.2.1),
 python3-migrate (>= 0.13.0),
 python3-mock (>= 3.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 1.30.0),
 python3-openstacksdk (>= 0.35.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-brick (>= 2.6.2),
 python3-os-resource-classes (>= 0.4.0),
 python3-os-service-types (>= 1.7.0),
 python3-os-testr (>= 1.0.0),
 python3-os-traits (>= 2.1.0),
 python3-os-vif (>= 1.14.0),
 python3-os-win (>= 3.0.0),
 python3-os-xenapi (>= 0.3.3),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.1.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 10.3.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 2.3.0),
 python3-oslo.privsep (>= 1.33.2),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.21.1),
 python3-oslo.service (>= 1.40.1),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.40.2),
 python3-oslo.versionedobjects (>= 1.35.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.8.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-pkg-resources (>= 21.0.0),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.7),
 python3-pycodestyle (>= 2.0.0),
 python3-pymysql (>= 0.7.6),
 python3-pypowervm (>= 1.1.15),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-retrying (>= 1.3.3),
 python3-rfc3986 (>= 1.1.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-tempest (>= 1:14.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.8.2),
 python3-websockify (>= 0.8.0),
 python3-wsgi-intercept (>= 1.7.0),
 python3-zvmcloudconnector (>= 1.3.0),
Build-Conflicts:
 python-cjson,
 python3-cjson,
Standards-Version: 4.1.4
Homepage: https://launchpad.net/nova
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova

Package: nova-ajax-console-proxy
Architecture: all
Section: oldlibs
Priority: extra
Depends:
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Compute - AJAX console proxy - transitional package
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package used to provide the AJAX proxy, which is now gone.

Package: nova-api
Architecture: all
Depends:
 iptables,
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Compute - API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package provides the API frontend.

Package: nova-api-metadata
Architecture: all
Depends:
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Conflicts:
 nova-api,
Description: OpenStack Compute - metadata API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 This package provides the metadata API backend for guest VMs.

Package: nova-api-os-compute
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Conflicts:
 nova-api,
Description: OpenStack Compute - OpenStack Compute API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 This package provides the OpenStack Compute API frontend.

Package: nova-api-os-volume
Section: oldlibs
Priority: extra
Architecture: all
Depends:
 cinder-api,
 ${misc:Depends},
Description: OpenStack Compute - OpenStack Volume API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 This is a dummy transitional package that can be removed after upgrade.

Package: nova-cells
Architecture: all
Depends:
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Description: Openstack Compute - cells
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the Nova cells component.

Package: nova-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 nova-ajax-console-proxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-api (<< 2:18.0.0~b2-0ubuntu3~),
 nova-api-metadata (<< 2:18.0.0~b2-0ubuntu3~),
 nova-api-os-compute (<< 2:18.0.0~b2-0ubuntu3~),
 nova-cells (<< 2:18.0.0~b2-0ubuntu3~),
 nova-compute (<< 2:18.0.0~b2-0ubuntu3~),
 nova-compute-libvirt (<< 2:18.0.0~b2-0ubuntu3~),
 nova-compute-vmware (<< 2:18.0.0~b2-0ubuntu3~),
 nova-conductor (<< 2:18.0.0~b2-0ubuntu3~),
 nova-console (<< 2:18.0.0~b2-0ubuntu3~),
 nova-network (<< 2:18.0.0~b2-0ubuntu3~),
 nova-novncproxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-placement-api (<< 2:18.0.0~b2-0ubuntu3~),
 nova-scheduler (<< 2:18.0.0~b2-0ubuntu3~),
 nova-serialproxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-spiceproxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-xvpvncproxy (<< 2:18.0.0~b2-0ubuntu3~),
 python-nova (<< 2:18.0.0-0ubuntu2~),
Replaces:
 nova-ajax-console-proxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-api (<< 2:18.0.0~b2-0ubuntu3~),
 nova-api-metadata (<< 2:18.0.0~b2-0ubuntu3~),
 nova-api-os-compute (<< 2:18.0.0~b2-0ubuntu3~),
 nova-cells (<< 2:18.0.0~b2-0ubuntu3~),
 nova-compute (<< 2:18.0.0~b2-0ubuntu3~),
 nova-compute-libvirt (<< 2:18.0.0~b2-0ubuntu3~),
 nova-compute-vmware (<< 2:18.0.0~b2-0ubuntu3~),
 nova-conductor (<< 2:18.0.0~b2-0ubuntu3~),
 nova-console (<< 2:18.0.0~b2-0ubuntu3~),
 nova-network (<< 2:18.0.0~b2-0ubuntu3~),
 nova-novncproxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-placement-api (<< 2:18.0.0~b2-0ubuntu3~),
 nova-scheduler (<< 2:18.0.0~b2-0ubuntu3~),
 nova-serialproxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-spiceproxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-xvpvncproxy (<< 2:18.0.0~b2-0ubuntu3~),
 python-nova (<< 2:18.0.0-0ubuntu2~),
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 bridge-utils,
 nova-compute-kvm | nova-compute-hypervisor,
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .

=== debian/tests/control ===
Tests: nova-compute-daemons nova-daemons nova-api
Depends:
 mysql-server,
 nova-api,
 nova-compute,
 nova-conductor,
 nova-novncproxy,
 nova-scheduler,
 rabbitmq-server,
Restrictions: needs-root, allow-stderr

## nova 21.0.0~b3~git2020041013.57ff308d6d

=== requirements.txt ===
--- 
+++ 
@@ -32,16 +32,16 @@
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
-websockify>=0.8.0 # LGPLv3
+websockify>=0.9.0 # LGPLv3
 oslo.cache>=1.26.0 # Apache-2.0
-oslo.concurrency>=3.26.0 # Apache-2.0
+oslo.concurrency>=3.29.0 # Apache-2.0
 oslo.config>=6.1.0 # Apache-2.0
 oslo.context>=2.21.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.21.1 # Apache-2.0
 oslo.upgradecheck>=0.1.1
-oslo.utils>=3.40.2 # Apache-2.0
+oslo.utils>=4.1.0 # Apache-2.0
 oslo.db>=4.44.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
 oslo.messaging>=10.3.0 # Apache-2.0
@@ -55,7 +55,7 @@
 oslo.versionedobjects>=1.35.0 # Apache-2.0
 os-brick>=2.6.2 # Apache-2.0
 os-resource-classes>=0.4.0 # Apache-2.0
-os-traits>=2.1.0 # Apache-2.0
+os-traits>=2.2.0 # Apache-2.0
 os-vif>=1.14.0 # Apache-2.0
 os-win>=3.0.0 # Apache-2.0
 castellan>=0.16.0 # Apache-2.0
@@ -71,3 +71,4 @@
 zVMCloudConnector>=1.3.0;sys_platform!='win32'  # Apache 2.0 License
 futurist>=1.8.0 # Apache-2.0
 openstacksdk>=0.35.0 # Apache-2.0
+dataclasses>=0.7;python_version=='3.6'  # Apache 2.0 License

=== debian/changelog ===
nova (2:21.0.0~b3~git2020041013.57ff308d6d-0ubuntu2) focal; urgency=medium

  * d/tests/nova-daemons: Skip validation that nova-scheduler is
    running; this serivce requires configuration of both keystone and
    the placement service which is beyond the scope of a single unit
    autopkgtest.
  * d/tests/control: Install nova-spiceproxy instead of nova-novncproxy
    during testing as SPICE is the console option supported in Ubuntu
    main.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Apr 2020 09:48:19 +0100

nova (2:21.0.0~b3~git2020041013.57ff308d6d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/p/revert-generalize-db-conf-group-copying.patch: Dropped. Not needed
    with python3-oslo.db > 4.34.0.
  * d/p/drop-sphinxcontrib-rsvgconverter.patch: Rebased.
  * d/p/skip-ssl-tests.patch: Dropped. No longer needed.
  * d/p/arm-console-patch.patch: Rebased.
  * d/p/monkey-patch-original-current-thread-active.patch: Dropped. Fixed
    in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:00:26 -0400

nova (2:21.0.0~b3~git2020032515.35240b0d8c-0ubuntu2) focal; urgency=medium

  * d/nova-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.
  * d/nova-compute-libvirt.postinst: Add libvirt-qemu user to nova group
    to ensure access to /var/lib/ (LP: #1870415).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Apr 2020 15:08:40 -0400

nova (2:21.0.0~b3~git2020032515.35240b0d8c-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/libvirt-provide-backing-file-format-creating-qcow2.patch: Drop,
    included upstream.
  * d/nova-common.postinst: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 12:05:22 +0000

=== debian/control ===
--- 
+++ 
@@ -69,7 +69,7 @@
  python3-os-win (>= 3.0.0),
  python3-os-xenapi (>= 0.3.3),
  python3-oslo.cache (>= 1.26.0),
- python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.concurrency (>= 3.29.0),
  python3-oslo.config (>= 1:6.1.0),
  python3-oslo.context (>= 1:2.21.0),
  python3-oslo.db (>= 4.44.0),
@@ -121,7 +121,7 @@
  python3-testtools (>= 2.2.0),
  python3-tooz (>= 1.58.0),
  python3-webob (>= 1:1.8.2),
- python3-websockify (>= 0.8.0),
+ python3-websockify (>= 0.9.0),
  python3-wsgi-intercept (>= 1.7.0),
  python3-zvmcloudconnector (>= 1.3.0),
 Build-Conflicts:

=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
  nova-api,
  nova-compute,
  nova-conductor,
- nova-novncproxy,
+ nova-spiceproxy,
  nova-scheduler,
  rabbitmq-server,
 Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/nova/ nova-(20\.\d.*)\.tar\.gz

## nova 21.2.1

=== debian/changelog ===
nova (2:21.2.1-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1935030).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 08 Jul 2021 13:46:31 +0000

nova (2:21.2.0-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1923036).
  * d/p/lp1888395-*: Removed after patch landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 12 Apr 2021 12:14:07 +0000

nova (2:21.1.2-0ubuntu2) focal; urgency=medium

  * Fix live migration for SDNs that do not support port binding extensions (LP: #1888395)
    - d/p/lp1888395-functest.patch: Add functional test to validate live
      migration failure with multiport bindings
    - d/p/lp1888395-migration.patch: Validate the SDN supports port binding extensions
      before populating migrate_data with vifs

 -- Billy Olsen <billy.olsen@canonical.com>  Fri, 12 Feb 2021 16:42:10 -0700

nova (2:21.1.2-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1915786).
  * d/p/lp1892361.patch: Removed after patch landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 16 Feb 2021 16:10:28 +0000

nova (2:21.1.1-0ubuntu2) focal; urgency=medium

  * d/p/lp1892361.patch: Update pci stat pools based on PCI device changes (LP: #1892361).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 18 Jan 2021 15:25:16 +0000

nova (2:21.1.1-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1906271).
  * d/p/lp1893263.patch: Removed as this fix landed in this point release.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 01 Dec 2020 09:27:11 +0000

nova (2:21.1.0-0ubuntu2) focal; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp1893263.patch: Allow tap interface with multiqueue (LP: #1893263).

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/control: Add systemd to build-depends (LP: #1903724).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 13 Nov 2020 07:38:21 +0000

nova (2:21.1.0-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1896476).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 21 Sep 2020 12:53:36 +0000

nova (2:21.0.0-0ubuntu0.20.04.4) focal; urgency=medium

  * d/nova-compute-libvirt.postinst: Ensure libvirt-qemu user is removed
    from nova group on package upgrade (LP: #1896617).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Sep 2020 09:13:56 -0400

nova (2:21.0.0-0ubuntu0.20.04.3) focal; urgency=medium

  * d/nova-compute-libvirt.postinst: Drop libvirt-qemu user from nova group.
    This is no longer needed with recent /var/lib/nova permission changes and
    causes live snapshots to fail (LP: #1896617).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Sep 2020 16:08:42 -0400

nova (2:21.0.0-0ubuntu0.20.04.2) focal; urgency=medium

  * Correct file and directory permissions to ensure that instances
    can be stopped and started correctly (LP: #1885269):
    - d/nova-common.postinst: Reset file permissions under /var/lib/nova
      to 0644 and directory permissions to 0755 to ensure that instances
      can be stopped and started correctly with the workflow of ownership
      changes that occur between nova and libvirt/qemu.
    - d/nova-common.postinst: Don't force ownership to nova:nova.
    - d/nova-common.postinst: Reset ownership and permissions on
      console.log files to root:root and 0600.

 -- James Page <james.page@ubuntu.com>  Mon, 29 Jun 2020 13:54:40 +0100

nova (2:21.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 21.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:00:09 -0400

## nova 21.2.4

=== requirements.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 oslo.cache>=1.26.0 # Apache-2.0
 oslo.concurrency>=3.29.0 # Apache-2.0
 oslo.config>=6.1.0 # Apache-2.0
-oslo.context>=2.21.0 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.21.1 # Apache-2.0
@@ -45,7 +45,7 @@
 oslo.db>=4.44.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
 oslo.messaging>=10.3.0 # Apache-2.0
-oslo.policy>=2.3.0 # Apache-2.0
+oslo.policy>=3.1.0 # Apache-2.0
 oslo.privsep>=1.33.2 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.service>=1.40.1 # Apache-2.0
@@ -53,7 +53,7 @@
 oslo.middleware>=3.31.0 # Apache-2.0
 psutil>=3.2.2 # BSD
 oslo.versionedobjects>=1.35.0 # Apache-2.0
-os-brick>=2.6.2 # Apache-2.0
+os-brick>=3.0.1 # Apache-2.0
 os-resource-classes>=0.4.0 # Apache-2.0
 os-traits>=2.2.0 # Apache-2.0
 os-vif>=1.14.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=1.8.0,!=2.1.0 # BSD
sphinxcontrib-actdiag>=0.8.5 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
sphinx-feature-classification>=0.2.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.30.0 # Apache-2.0

# releasenotes
reno>=2.5.0 # Apache-2.0

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

# needed to generate osprofiler config options
osprofiler>=1.4.0 # Apache-2.0

=== debian/changelog ===
nova (2:21.2.4-0ubuntu2.14) focal; urgency=medium

  * Resolve issues with resize of CPU pinned instances (LP: #1944759):
    - d/p/lp1953359-{1,2,3}.patch: Fix resize race condition by applying temporary
    migration context.
    - d/p/1944759-{1,2}.patch: Fix resize cpu pinning resource tracking race
    condition by setting the old_flavor on the source node.

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Mon, 07 Oct 2024 14:58:28 +0100

nova (2:21.2.4-0ubuntu2.13) focal; urgency=medium

  * d/p/lp2024258-database-Archive-parent-and-child-rows-trees-one-at-.patch:
    Fix package install/autopkgtests (IndentationError in test_archive.py:172)
    (LP: #2024258)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 02 Aug 2024 10:29:57 -0300

nova (2:21.2.4-0ubuntu2.12) focal; urgency=medium

  [ Chengen Du ]
  * d/p/lp2024258-database-Archive-parent-and-child-rows-trees-one-at-.patch:
    Performance degradation archiving DB with large numbers of FK
    related records (LP: #2024258)

  [ Mauricio Faria de Oliveira ]
  * Extend the behavior of 'libvirt.cpu_model_extra_flags' for '[+-]flag'
    (backward compatible) to configure CPU flags as required or disabled.
    This is increasingly important for migration as hypervisors with the
    same processor but different stable kernel level might get different
    CPU flags (e.g., AMD EPYC Rome without 'xsaves' per AMD Erratum 1386,
    and PKRU/'xsave' changes), without CPU model updates in libvirt/qemu.
    (LP: #2048517)
    - d/p/lp2048517-1-libvirt-Dont-drop-disabled-CPU-flags-from-XML.patch
    - d/p/lp2048517-2-libvirt-Allow-disabling-CPU-flags.patch
    
  [ Rodrigo Barbieri ]
  * d/p/lp1999814.patch: Rework CPU comparison at startup and add ability
    to skip it. Addresses CascadeLake incompatibility with IceLake.
    (LP: #1999814)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 01 Aug 2024 14:52:10 -0300

nova (2:21.2.4-0ubuntu2.11) focal-security; urgency=medium

  * SECURITY UPDATE: Incomplete file access fix and regression for QCOW2
    backing files and VMDK flat descriptors
    - debian/patches/CVE-2024-40767-pre1.patch: port format inspector tests
      from glance.
    - debian/patches/CVE-2024-40767-pre2.patch: reproduce iso regression
      with deep format inspection.
    - debian/patches/CVE-2024-40767-pre3.patch: add iso file format
      inspector.
    - debian/patches/CVE-2024-40767-pre4.patch: fix qemu-img version
      dependent tests.
    - debian/patches/CVE-2024-40767-pre5.patch: stabilize iso format unit
      tests.
    - debian/patches/CVE-2024-40767.patch: change force_format strategy to
      catch mismatches.
    - CVE-2024-40767
  * Replace CVE-2024-32498 patches with final versions from git.
    - debian/patches/CVE-2024-32498-*
  * debian/control: added qemu-utils to Build-Depends so qemu-img is
    available for new tests.
  * Note: this package does _not_ contain the changes from
    2:21.2.4-0ubuntu2.9 and 2:21.2.4-0ubuntu2.10 in focal-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Jul 2024 14:01:19 -0400

nova (2:21.2.4-0ubuntu2.8) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498-pre1.patch: create qcow2 disks with the
      correct size without extending.
    - debian/patches/CVE-2024-32498-pre2.patch: add type hints.
    - debian/patches/CVE-2024-32498-pre3.patch: consolidate
      create_cow_image and create_image.
    - debian/patches/CVE-2024-32498-1.patch: reject qcow files with
      data-file attributes.
    - debian/patches/CVE-2024-32498-2.patch: check images with
      format_inspector for safety.
    - debian/patches/CVE-2024-32498-3.patch: additional qemu safety
      checking on base images.
    - debian/patches/CVE-2024-32498-4.patch: fix vmdk_allowed_types
      checking.
    - CVE-2024-32498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 02 Jul 2024 10:51:41 -0400

nova (2:21.2.4-0ubuntu2.6) focal; urgency=medium

  * d/p/lp1960758-ubuntu-uefi-loader-path.patch: add config option
    'ubuntu_libvirt_uefi_loader_path' to restrict UEFI loaders to
    only those shipped/supported in Ubuntu/Ussuri. (LP: #1960758)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 25 Jul 2023 17:34:00 -0300

nova (2:21.2.4-0ubuntu2.5) focal-security; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 10:52:04 -0400

nova (2:21.2.4-0ubuntu2.4) focal-security; urgency=medium

  * SECURITY REGRESSION: Regression with volume drivers (LP: #2019460)
    - debian/patches/CVE-2023-2088.patch: Updated to add missing force
      parameter to various volume drivers.

 -- Corey Bryant <corey.bryant@canonical.com>  Sat, 13 May 2023 09:56:20 -0400

nova (2:21.2.4-0ubuntu2.3) focal-security; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Use force=True for os-brick
      disconnect during delete.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 May 2023 16:59:35 -0400

nova (2:21.2.4-0ubuntu2.2) focal-security; urgency=medium

  * SECURITY UPDATE: DoS vulnerability
    - debian/patches/CVE-2022-37394.patch: Gracefully ERROR in
      _init_instance if vnic_type changed
    - CVE-2022-37394

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 08 Feb 2023 14:05:40 +0530

nova (2:21.2.4-0ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access
    - debian/patches/CVE-2022-47951.patch: Check VMDK create-type
      against an allowed list.
    - CVE-2022-47951

 -- Corey Bryant <corey.bryant@canonical.com>  Sun, 29 Jan 2023 11:35:32 -0500

nova (2:21.2.4-0ubuntu2) focal; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-setuptools (>= 16.0),
  python3-sphinx (>= 1.8.0),
  python3-sphinx-feature-classification (>= 0.2.0),
+ qemu-utils,
 Build-Depends-Indep:
  bandit,
  crudini,
@@ -60,7 +61,7 @@
  python3-openstackdocstheme (>= 1.30.0),
  python3-openstacksdk (>= 0.35.0),
  python3-os-api-ref (>= 1.4.0),
- python3-os-brick (>= 2.6.2),
+ python3-os-brick (>= 3.0.1),
  python3-os-resource-classes (>= 0.4.0),
  python3-os-service-types (>= 1.7.0),
  python3-os-testr (>= 1.0.0),
@@ -77,7 +78,7 @@
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 10.3.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 2.3.0),
+ python3-oslo.policy (>= 3.1.0),
  python3-oslo.privsep (>= 1.33.2),
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.rootwrap (>= 5.8.0),
@@ -124,13 +125,14 @@
  python3-websockify (>= 0.9.0),
  python3-wsgi-intercept (>= 1.7.0),
  python3-zvmcloudconnector (>= 1.3.0),
+ systemd,
 Build-Conflicts:
  python-cjson,
  python3-cjson,
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/nova
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
 
 Package: nova-ajax-console-proxy
 Architecture: all

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/nova/ nova-(21\.\d.*)\.tar\.gz
